
mod zoom_dropdown;

use gtk::{prelude::*, Application, ActionBar, ApplicationWindow, Button, CenterBox, DropDown, Entry, Label};
use gtk::glib;
use zoom_dropdown::ZoomDropdown;

const APP_ID: &str = "org.gtk_rs.HelloWorld";

fn main() -> glib::ExitCode {
    let app = Application::builder()
        .application_id(APP_ID)
        .build();

    app.connect_activate(build_ui);

    app.run()
}

fn build_ui(app: &Application) {

    let label = Label::builder()
        .label("Zoom Dropdown")
        .margin_bottom(10)
        .build();

    // let button = Button::builder()
    //     .icon_name("go-down-symbolic")
    //     .build();


    // let entry = Entry::builder()
    //     .vexpand(false)
    //     .text("100%")
    //     .build();

    // let zoom = gtk::Box::builder()
    //     .css_classes(["linked"])
    //     .orientation(gtk::Orientation::Horizontal)
    //     .build();
    // zoom.append(&entry);
    // zoom.append(&button);

    let zoom = ZoomDropdown::default();


    let center = gtk::Box::builder()
        .halign(gtk::Align::Center)
        .valign(gtk::Align::Center)
        .hexpand(true)
        .vexpand(true)
        .build();
    center.append(&zoom);
    
    let content = gtk::Box::builder()
        .orientation(gtk::Orientation::Vertical)
        .valign(gtk::Align::Fill)
        .halign(gtk::Align::Center)
        .build();
    content.append(&center);
    content.append(&label);


    let window = ApplicationWindow::builder()
        .application(app)
        .title("Hello World")
        .default_height(100)
        .default_width(250)
        .child(&content)
        .build();

    window.present();
}